Download it now!
Bug 125362 - FRAME STYLE DIALOG: Frame style area color is reset to none, depending on the tab order chosen.
Summary: FRAME STYLE DIALOG: Frame style area color is reset to none, depending on the...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.6.3 release
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: Writer-Styles-Frame
  Show dependency treegraph
 
Reported: 2019-05-18 19:06 UTC by ro
Modified: 2019-07-25 13:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ro 2019-05-18 19:06:11 UTC
Description:
When using a Frame Style, if you set an area color, and then set a border color, and then go back and click on the Area tab, the area color has now switched back to "None" and the frame area in the document has no color.

Steps to Reproduce:
First, lets see it working correctly.
1. Open new writer document.

2. "Insert" > "Frame" > "Frame...".

3. "OK".

4. "Styles & Formatting" > "Frame Styles" > "New Style from Selection" > "New Style...".

5. Type "Style1" > "OK".

6. "Styles & Formatting" > right-click "Style1" > "Modify...".

7. Select "Area" tab > "Color" > select color "Light Red 4" > "Apply".
   (The frame area, in the document, has now changed to light-red-4 color.)

8. Select "Borders" tab > select line color "Red" > "Apply".
   (The frame border, in the document, has now changed to red color.)

9. "OK".
    (The frame area, in the document, is still light-red-4, which is correct.)

10. "Styles & Formatting" > right-click "Style1" > "Modify...".

11. Select "Area" tab.
    (The frame area is light-red-4, which is correct.)


Now, lets see it working incorrectly.
1. Open new writer document.

2. "Insert" > "Frame" > "Frame...".

3. "OK".

4. "Styles & Formatting" > "Frame Styles" > "New Style from Selection" > "New Style...".

5. Type "Style1" > "OK".

6. "Styles & Formatting" > right-click "Style1" > "Modify...".

7. Select "Area" tab > "Color" > select color "Light Red 4" > "Apply".
   (The frame area, in the document, has now changed to light-red-4 color.)

8. Select "Borders" tab > select line color "Red" > "Apply".
   (The frame border, in the document, has now changed to red color.)

9. Select "Area" tab.
   (The area has now switched back to "None" which is incorrect.)

10. "OK".
    (The frame area, in the document, has no color, which is incorrect.)

11. "Styles & Formatting" > right-click "Style1" > "Modify...".

12. Select "Area" tab.
   (The area has now switched back to "None" which is incorrect.)

Workaround #1:
a) Set the Area color.
b) Set the Borders color.
c) Once the Borders color is set, DON'T click the Area tab again.

Workaround #2:
a) Set the Borders color first.
b) Then set the Area color.
c) DON'T change the Border color.

Actual Results:
The frame area, in the document, has now changed to light-red-4 color.
The frame border, in the document, has now changed to red color.
The area has now switched back to "None" which is incorrect.
The frame area, in the document, has no color, which is incorrect.
The area has now switched back to "None" which is incorrect.

Expected Results:
The frame area, in the document, has now changed to light-red-4 color.
The frame border, in the document, has now changed to red color.
The frame area, in the document, is still light-red-4, which is correct.
The frame area is light-red-4, which is correct.


Reproducible: Always


User Profile Reset: No



Additional Info:
Applies to: LibreOffice Writer v6.1.6.3 (x64)
Applies to: LibreOffice Writer v6.2.3.2 (x64)
Comment 1 Dieter 2019-06-05 09:19:59 UTC
I confirm it with

Version: 6.3.0.0.beta1 (x64)
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded

I only can reproduce it with Frame Style dialog, but not with Frame dialog
Comment 2 Xisco Faulí 2019-06-11 10:29:32 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: ec905d131374f0860bac77c52873eed984b1966f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@jim, I thought you might be interested in this issue...
Comment 3 Jim Raykowski 2019-06-16 15:53:15 UTC
> @jim, I thought you might be interested in this issue...

Yes I am. WIP
Comment 4 Jim Raykowski 2019-06-18 23:56:23 UTC
Hi all, 

This bug is reproducible whenever Apply is pressed other than when Area tab page is the current tab page. 

Here is a patch for this and for a bug with the Organizer tab Contains contents after Apply is pressed Bug 102211

https://gerrit.libreoffice.org/#/c/74325/
Comment 5 Commit Notification 2019-06-21 21:24:56 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fc938b4310a8f5fcc8ee2846acfeb6f6d818b9f5%5E%21

tdf#125362 Update tab dialog example set after Apply

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-25 23:12:17 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/8c6b8e8c684fb24ee4d50d4b4638242a82356760%5E%21

tdf#125362 Update tab dialog example set after Apply

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Dieter 2019-07-25 13:28:40 UTC
Verified with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 8f98a7c4e5b1f0b249c026577805a378b8a533d5
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-23_00:30:19
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

Thanks for fixing it, Jim.